Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 173674

Summary: Review Request: xfce4-xkb-plugin
Product: [Fedora] Fedora Reporter: Christoph Wickert <christoph.wickert>
Component: Package ReviewAssignee: Greg DeKoenigsberg <gdk>
Status: CLOSED NEXTRELEASE QA Contact: David Lawrence <dkl>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-extras-list, kevin, luya256, nonamedotc, wtogami
Target Milestone: ---Flags: gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://xfce-goodies.berlios.de/
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-12-17 02:43:45 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 163779    

Description Christoph Wickert 2005-11-18 21:08:58 UTC
Spec Name or Url: 
http://home.arcor.de/christoph.wickert/fedora/extras-review/SPECS/xfce4-xkb-plugin.spec
SRPM Name or Url: 
http://home.arcor.de/christoph.wickert/fedora/extras-review/SRPMS/xfce4-xkb-plugin-0.3.2-3.fc4.src.rpm
Description: 

Xfce XKB layout switch plugin for the Xfce panel. It displays the current 
keyboard layout, and refreshes when layout changes. The layout can be 
switched by simply clicking on the plugin. For now the keyboard layouts 
cannot be configured from the plugin itself, they should be set in the 
XF86Config file or some other way (e.g. setxkbmap).

Comments:
rpmlint clean
license BSD included

Comment 1 Luya Tshimbalanga 2005-12-16 21:44:01 UTC
Reviewed, 'mocked' and 'rpmlinted'. Result: set to FE-ACCEPT. 
Congragulations.

Comment 2 Christoph Wickert 2005-12-17 02:43:45 UTC
Thanks for reviewing so many of my packages.

Comment 3 Kevin Fenzi 2013-09-27 21:48:04 UTC
Would you folks be ok with maintaining or me (co)maintaining a branch of this for EPEL6?

From the fedora xfce list: 

"xfce4-xkb-plugin is buildable in version 0.5.3.3-6.fc15, just a small change
so that the xklavier patch (centos 6 has xklavier 4) applies. 

$ diff xfce4-xkb-plugin.spec xfce4-xkb-plugin.spec.new 
35c35
< %if 0%{?fedora} > 11
---
> %if 0%{?fedora} > 11 || 0%{?rhel} >= 6

It seems to work correctly (layouts are present, short-cut for switching
works)."

Comment 4 Christoph Wickert 2013-09-28 15:51:12 UTC
I don't think I want to maintain is in EPEL.

Comment 5 Kevin Fenzi 2013-09-30 22:20:35 UTC
Do you mind if I do so? Or do you think there's some reason it will be over difficult to maintain in EPEL?

Comment 6 Mukundan Ragavan 2014-09-23 01:12:22 UTC
Package Change Request
======================
Package Name:  xfce4-xkb-plugin
New Branches: epel7
Owners: cwickert
InitialCC: nonamedotc

Comment 7 Gwyn Ciesla 2014-09-23 12:02:23 UTC
Git done (by process-git-requests).